Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Exact syntax for bdist

I get tripped up on this all the time. What is the exact syntax for creating a 'canonical' binary distribution? (I assume there are scripts on home/release for this, but I want this here where I can find it again.)

What I mean is what extra commands do I put in

./sage -bdist

in order to create something like sage-4.6-OSX-32bit-10.4-i386-Darwin.dmg or sage-4.6.1-linux-32bit-ubuntu_10.04_lts-i686-Linux.tar? I think that that version number comes for free, and I'm not worried about the file extension, but I don't know about the rest and want to do it right.

I THINK it is

./sage -bdist OSX-32bit-10.4-i386-Darwin

but I'm just not sure, and don't want to waste time making a mistake.

Exact syntax for bdist

I get tripped up on this all the time. What is the exact syntax for creating a 'canonical' binary distribution? (I assume there are scripts on home/release for this, but I want this here where I can find it again.)

What I mean is what extra commands do I put in

./sage -bdist

in order to create something like sage-4.6-OSX-32bit-10.4-i386-Darwin.dmg or sage-4.6.1-linux-32bit-ubuntu_10.04_lts-i686-Linux.tar? I think that that version number comes for free, and I'm not worried about the file extension, but I don't know about the rest and want to do it right.

I THINK it is

./sage -bdist OSX-32bit-10.4-i386-Darwin

but I'm just not sure, and don't want to waste time making a mistake.

Edit: I see the following in sage-bdist

if [ $# -ne 2 ]; then
   echo "Usage: $0 <SAGE_VERSION> <SAGE_ROOT>"
   exit 1
fi

but the following in sage-sage

if [ "$1" = '-bdist' -o "$1" = "--bdist" ]; then
   if [ $# -ne 2 ]; then
       echo >&2 "** MISSING VERSION NUMBER! **"
       exit 1
   fi
   sage-bdist $2 "$SAGE_ROOT"
   exit $?
fi

is a little annoying - it's not clear whether you can even get to the 'usage' place in sage-bdist.

(Hint is that I think the answer to my question is in the rest of sage-bdist, but I'm too lazy to figure it out exactly now.)

click to hide/show revision 3
retagged

Exact syntax for bdist

I get tripped up on this all the time. What is the exact syntax for creating a 'canonical' binary distribution? (I assume there are scripts on home/release for this, but I want this here where I can find it again.)

What I mean is what extra commands do I put in

./sage -bdist

in order to create something like sage-4.6-OSX-32bit-10.4-i386-Darwin.dmg or sage-4.6.1-linux-32bit-ubuntu_10.04_lts-i686-Linux.tar? I think that that version number comes for free, and I'm not worried about the file extension, but I don't know about the rest and want to do it right.

I THINK it is

./sage -bdist OSX-32bit-10.4-i386-Darwin

but I'm just not sure, and don't want to waste time making a mistake.

Edit: I see the following in sage-bdist

if [ $# -ne 2 ]; then
   echo "Usage: $0 <SAGE_VERSION> <SAGE_ROOT>"
   exit 1
fi

but the following in sage-sage

if [ "$1" = '-bdist' -o "$1" = "--bdist" ]; then
   if [ $# -ne 2 ]; then
       echo >&2 "** MISSING VERSION NUMBER! **"
       exit 1
   fi
   sage-bdist $2 "$SAGE_ROOT"
   exit $?
fi

is a little annoying - it's not clear whether you can even get to the 'usage' place in sage-bdist.

(Hint is that I think the answer to my question is in the rest of sage-bdist, but I'm too lazy to figure it out exactly now.)